Skip to main content
POST
/
bills
/
{bill_id}
/
documents
Confirm Bill Documents
curl --request POST \
  --url https://api.meow.com/v1/bills/{bill_id}/documents \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "documents": [
    {
      "object_key": "<string>",
      "filename": "<string>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vendor_name": "<string>",
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "invoice_number": "<string>",
  "description": "<string>",
  "memo": "<string>",
  "bill_date": "2023-12-25",
  "bill_due_date": "2023-12-25",
  "bill_total": "<string>",
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category_name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "submitted_at": "2023-11-07T05:31:56Z",
  "submitted_by": "<string>",
  "paid_at": "2023-11-07T05:31:56Z",
  "paid_by": "<string>",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "resolved_at": "2023-11-07T05:31:56Z",
  "canceled_at": "2023-11-07T05:31:56Z",
  "canceled_by": "<string>",
  "bill_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ordinal": 123,
  "line_items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "description": "<string>",
      "amount_total": "<string>",
      "quantity": "<string>"
    }
  ],
  "bill_payment_details": {
    "account_id": "<string>",
    "scheduled_payment_date": "2023-12-25"
  },
  "additional_documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "img_url": "<string>",
  "rrule": "<string>",
  "auto_approval_enabled": true
}

Authorizations

x-api-key
string
header
required

Your Meow API key, sent in the x-api-key header for authentication.

Headers

x-entity-id
string<uuid>

Optional entity_id to scope requests to a specific entity.

Path Parameters

bill_id
string<uuid>
required

The bill ID.

Body

application/json
documents
BillConfirmUploadEntry · object[]
required
Required array length: 1 - 5 elements

Response

Successful Response

id
string<uuid>
required

Identifier for this bill.

status
enum<string>
required

The current status of the bill.

Available options:
CANCELED,
DRAFT_PROCESSING,
DRAFT,
PAYMENT_INFO_NEEDED,
PENDING,
APPROVED,
REJECTED,
SCHEDULED,
PAYMENT_INITIATED,
PAYMENT_DELIVERED,
PAYMENT_FAILED,
PAYMENT_CANCELED
vendor_name
string
required

The name of the vendor.

creation_source
enum<string>
required

How the bill was created.

Available options:
USER,
EMAIL,
SCHEDULE
created_by
string
required

Who created the bill.

created_at
string<date-time>
required

The creation timestamp.

invoice_number
string | null

The invoice number.

description
string | null

Description of the bill.

memo
string | null

Memo for the bill.

bill_date
string<date> | null

The bill date.

bill_due_date
string<date> | null

The due date.

bill_total
string | null

The total amount of the bill.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
enum<string> | null

The bill's currency.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SLE,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XTS,
XUA,
XXX,
YER,
ZAR,
ZMW,
ZWG,
ZWL
payment_type
enum<string> | null

How this bill is paid: ACH, WIRE, CHECK, CRYPTO, or INTERNATIONAL_PAYMENT_FX.

Available options:
ACH,
CRYPTO,
INTERNATIONAL_PAYMENT_FX,
WIRE,
CHECK
contact_id
string<uuid> | null

The ID of the associated contact.

category_id
string<uuid> | null

The spend category this bill is coded to, if any.

category_name
string | null

The name of the spend category, if any.

updated_at
string<date-time> | null

The last-updated timestamp.

submitted_at
string<date-time> | null

When the bill was submitted for approval.

submitted_by
string | null

Who submitted the bill.

paid_at
string<date-time> | null

The paid timestamp.

paid_by
string | null

Who paid the bill.

scheduled_at
string<date-time> | null

The scheduled payment timestamp.

resolved_at
string<date-time> | null

When the bill was resolved.

canceled_at
string<date-time> | null

When the bill was canceled.

canceled_by
string | null

Who canceled the bill.

bill_schedule_id
string<uuid> | null

The recurring schedule this bill belongs to, if any.

ordinal
integer | null

The bill's position in its recurring schedule (template is 0).

line_items
BillLineItemResponse · object[]

Line items for the bill.

bill_payment_details
BillPaymentDetailsResponse · object | null

How this bill will be paid once approved: the funding account, payment type, currency, and scheduled date.

additional_documents
BillDocumentResponse · object[]

Documents attached to the bill, each with a download URL.

img_url
string | null

A short-lived URL to download the bill's primary document.

rrule
string | null

RFC 5545 RRULE string. Required: DTSTART, RRULE. Allowed frequencies: WEEKLY, MONTHLY.

Required string length: 1 - 120
auto_approval_enabled
boolean | null

Whether the recurring schedule auto-approves generated bills.

bill_sync_status
enum<string> | null

Sync status of the bill to your accounting integration.

Available options:
synced,
requires_sync,
sync_complete,
sync_failed
payment_sync_status
enum<string> | null

Sync status of the payment to your accounting integration.

Available options:
synced,
requires_sync,
sync_complete,
sync_failed
accounting_vendor
enum<string> | null

The accounting integration this bill syncs to, if any.

Available options:
QuickBooks,
Xero,
NetSuite,
Puzzle,
Ramp,
Stripe,
Wave,
Relay,
Mastercard